Closed Bug 1533484 Opened 7 months ago Closed 7 months ago

windows/aarch64 - devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | application timed out after 370 seconds with no output

Categories

(DevTools :: Accessibility Tools, defect, P5)

defect

Tracking

(firefox67 fixed)

RESOLVED FIXED
Firefox 67
Tracking Status
firefox67 --- fixed

People

(Reporter: egao, Assigned: egao)

References

(Blocks 1 open bug)

Details

Attachments

(1 file)

#[markdown(off)]
Filed by: egao [at] mozilla.com

https://treeherder.mozilla.org/#/jobs?repo=try&group_state=expanded&author=egao%40mozilla.com&fromchange=b230202663cea2a9c118dcf4f91b089296ebdd11&selectedJob=232468306

https://taskcluster-artifacts.net/Og3yzi-AR4ahIq-3sD62cw/0/public/logs/live_backing.log

Test: opt-mochitest-devtools-chrome-e10s-2 m-e10s(dt2)

Context:
17:56:19 INFO - TEST-START | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js
17:56:22 INFO - GECKO(9356) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
17:56:22 INFO - GECKO(9356) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
17:56:22 INFO - GECKO(9356) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
17:56:22 INFO - GECKO(9356) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
17:56:23 INFO - GECKO(9356) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
17:56:23 INFO - GECKO(9356) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
17:56:23 INFO - GECKO(9356) | console.error: "TypeError: this.nodeHierarchy[this.currentIndex] is undefined: scroll@resource://devtools/client/inspector/breadcrumbs.js:782:23\nemit@resource://devtools/shared/event-emitter.js:186:24\nemit@resource://devtools/shared/event-emitter.js:267:18\nonOverflow@resource://devtools/client/inspector/breadcrumbs.js:214:10\nEventListener.handleEvent*init@resource://devtools/client/inspector/breadcrumbs.js:69:16\nArrowScrollBox@resource://devtools/client/inspector/breadcrumbs.js:38:8\n_init@resource://devtools/client/inspector/breadcrumbs.js:375:27\nHTMLBreadcrumbs@resource://devtools/client/inspector/breadcrumbs.js:363:8\n_deferredOpen@resource://devtools/client/inspector/inspector.js:279:24\nasync*init@resource://devtools/client/inspector/inspector.js:158:17\nasync*open@resource://devtools/client/inspector/panel.js:12:28\nonLoad@resource://devtools/client/framework/toolbox.js:1875:27\n"
17:56:23 INFO - GECKO(9356) | TypeError: this.nodeHierarchy[this.currentIndex] is undefined: scroll@resource://devtools/client/inspector/breadcrumbs.js:782:23
17:56:23 INFO - GECKO(9356) | emit@resource://devtools/shared/event-emitter.js:186:24
17:56:23 INFO - GECKO(9356) | emit@resource://devtools/shared/event-emitter.js:267:18
17:56:23 INFO - GECKO(9356) | onOverflow@resource://devtools/client/inspector/breadcrumbs.js:214:10
17:56:23 INFO - GECKO(9356) | EventListener.handleEvent*init@resource://devtools/client/inspector/breadcrumbs.js:69:16
17:56:23 INFO - GECKO(9356) | ArrowScrollBox@resource://devtools/client/inspector/breadcrumbs.js:38:8
17:56:23 INFO - GECKO(9356) | _init@resource://devtools/client/inspector/breadcrumbs.js:375:27
17:56:23 INFO - GECKO(9356) | HTMLBreadcrumbs@resource://devtools/client/inspector/breadcrumbs.js:363:8
17:56:23 INFO - GECKO(9356) | _deferredOpen@resource://devtools/client/inspector/inspector.js:279:24
17:56:23 INFO - GECKO(9356) | async*init@resource://devtools/client/inspector/inspector.js:158:17
17:56:23 INFO - GECKO(9356) | async*open@resource://devtools/client/inspector/panel.js:12:28
17:56:23 INFO - GECKO(9356) | onLoad@resource://devtools/client/framework/toolbox.js:1875:27
17:57:05 INFO - TEST-INFO | started process screenshot
17:57:05 INFO - TEST-INFO | screenshot: exit 0
17:57:05 INFO - Buffered messages logged at 17:56:20
17:57:05 INFO - Entering test bound a11YPanelTask
17:57:05 INFO - Test show accessibility properties context menu.
17:57:05 INFO - Adding a new test tab with URL: 'data:text/html;charset=UTF-8,%0A%20%20%3Ch1%20id%3D%22h1%22%3Eheader%3C%2Fh1%3E%0A%20%20%3Cp%20id%3D%22p%22%3Eparagraph%3C%2Fp%3E%0A%20%20%3Cspan%20id%3D%22span-1%22%3Etext%3C%2Fspan%3E%0A%20%20%3Cspan%20id%3D%22span-2%22%3E%0A%20%20%20%20IamaverylongtextwhichdoesntfitinInlineTextChildReallyIdontIamtoobig%0A%20%20%3C%2Fspan%3E'
17:57:05 INFO - Adding a new tab with URL: data:text/html;charset=UTF-8,%0A%20%20%3Ch1%20id%3D%22h1%22%3Eheader%3C%2Fh1%3E%0A%20%20%3Cp%20id%3D%22p%22%3Eparagraph%3C%2Fp%3E%0A%20%20%3Cspan%20id%3D%22span-1%22%3Etext%3C%2Fspan%3E%0A%20%20%3Cspan%20id%3D%22span-2%22%3E%0A%20%20%20%20IamaverylongtextwhichdoesntfitinInlineTextChildReallyIdontIamtoobig%0A%20%20%3C%2Fspan%3E
17:57:05 INFO - Tab added and finished loading
17:57:05 INFO - Buffered messages logged at 17:56:21
17:57:05 INFO - Console message: [JavaScript Warning: "Relative positioning of table rows and row groups is now supported. This site may need to be updated because it may depend on this feature having no effect." {file: "chrome://devtools/content/accessibility/index.html" line: 0}]
17:57:05 INFO - Waiting for state predicate "state =>
17:57:05 INFO - state.accessibles.size === 1 && state.details.accessible &&
17:57:05 INFO - state.details.accessible.role === "document""
17:57:05 INFO - Found state predicate "state =>
17:57:05 INFO - state.accessibles.size === 1 && state.details.accessible &&
17:57:05 INFO - state.details.accessible.role === "document""
17:57:05 INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/NetUtil.jsm" line: 245}]
17:57:05 INFO - Buffered messages logged at 17:56:22
17:57:05 INFO - Selecting Inspector tab and opening a context menu
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Default selection is a body node. -
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | the popup menu now has a show accessibility properties item -
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Show accessibility properties item has correct state -
17:57:05 INFO - Selecting Inspector tab and opening a context menu
17:57:05 INFO - Selecting the node for '#h1'
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | the popup menu now has a show accessibility properties item -
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Show accessibility properties item has correct state -
17:57:05 INFO - Triggering 'Show Accessibility Properties' and waiting for accessibility panel to open
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Accessible front selected correctly -
17:57:05 INFO - Selecting Inspector tab and opening a context menu
17:57:05 INFO - Selecting the node for '#span-1'
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | the popup menu now has a show accessibility properties item -
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Show accessibility properties item has correct state -
17:57:05 INFO - Triggering 'Show Accessibility Properties' and waiting for accessibility panel to open
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Accessible front selected correctly -
17:57:05 INFO - Selecting Inspector tab and opening a context menu
17:57:05 INFO - Selecting the node for '#span-2'
17:57:05 INFO - Buffered messages logged at 17:56:23
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | the popup menu now has a show accessibility properties item -
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Show accessibility properties item has correct state -
17:57:05 INFO - Selecting Inspector tab and opening a context menu
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | the popup menu now has a show accessibility properties item -
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Show accessibility properties item has correct state -
17:57:05 INFO - Triggering 'Show Accessibility Properties' and waiting for accessibility panel to open
17:57:05 INFO - TEST-PASS | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Accessible front selected correctly -
17:57:05 INFO - Buffered messages finished
17:57:05 INFO - TEST-UNEXPECTED-FAIL | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | Test timed out -
17:57:05 INFO - GECKO(9356) | console.warn: "Error while detaching the thread front: 'detach' request packet to 'server1.conn0.child1/context22' can't be sent as the connection is closed."
17:57:05 INFO - Removing tab.
17:57:05 INFO - Waiting for event: 'TabClose' on [object XULElement].
17:57:05 INFO - Got event: 'TabClose' on [object XULElement].
17:57:05 INFO - Tab removed and finished closing
17:57:05 INFO - Cleaning up...
18:00:47 INFO - Console message: [JavaScript Error: "Polling for changes failed: Unexpected content-type "text/html;charset=utf-8"." {file: "resource://services-settings/remote-settings.js" line: 199}]
18:00:47 INFO - remoteSettingsFunction/remoteSettings.pollChanges@resource://services-settings/remote-settings.js:199:13
18:00:47 INFO - async*notify@resource://services-settings/RemoteSettingsComponents.jsm:22:20
18:00:47 INFO - TM_notify/<@resource://gre/modules/UpdateTimerManager.jsm:192:48
18:00:47 INFO - TM_notify@resource://gre/modules/UpdateTimerManager.jsm:239:7
18:00:47 INFO -
18:06:57 INFO - Buffered messages finished
18:06:57 ERROR - TEST-UNEXPECTED-TIMEOUT | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | application timed out after 370 seconds with no output
18:06:57 ERROR - Force-terminating active process(es).
18:06:57 INFO - Determining child pids from psutil...
18:06:57 INFO - [2120]
18:06:57 INFO - ==> process 2120 launched child process 7748 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.0.1660589980\1416284438" -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 2092 gpu)
18:06:57 INFO - ==> process 2120 launched child process 9300 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.6.1980860208\219551662" -childID 1 -isForBrowser -prefsHandle 2136 -prefMapHandle 1972 -prefsLen 1 -prefMapSize 194834 -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 2500 tab)
18:06:57 INFO - ==> process 2120 launched child process 8696 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.13.2068774315\231356883" -childID 2 -isForBrowser -prefsHandle 3176 -prefMapHandle 3200 -prefsLen 132 -prefMapSize 194834 -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 3212 tab)
18:06:57 INFO - ==> process 2120 launched child process 2608 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.20.425758342\1186127018" -childID 3 -isForBrowser -prefsHandle 2960 -prefMapHandle 3396 -prefsLen 132 -prefMapSize 194834 -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 3132 tab)
18:06:57 INFO - ==> process 2120 launched child process 9948 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.27.2063699483\1899816209" -childID 4 -isForBrowser -prefsHandle 4184 -prefMapHandle 4188 -prefsLen 8498 -prefMapSize 194834 -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 4196 tab)
18:06:57 INFO - ==> process 2120 launched child process 8136 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.34.1193516915\135693544" -childID 5 -isForBrowser -prefsHandle 4328 -prefMapHandle 4320 -prefsLen 8601 -prefMapSize 194834 -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 4380 tab)
18:06:57 INFO - ==> process 2120 launched child process 4000 ("C:\tasks\task_1551980731\build\application\firefox\firefox.exe" -contentproc --channel="2120.41.883918008\2019394" -childID 6 -isForBrowser -prefsHandle 4764 -prefMapHandle 4768 -prefsLen 8704 -prefMapSize 194834 -parentBuildID 20190305093333 -greomni "C:\tasks\task_1551980731\build\application\firefox\omni.ja" -appomni "C:\tasks\task_1551980731\build\application\firefox\browser\omni.ja" -appdir "C:\tasks\task_1551980731\build\application\firefox\browser" - 2120 "\\.\pipe\gecko-crash-server-pipe.2120" 4648 tab)
18:06:57 INFO - Found child pids: set([4000, 7748, 2120, 2608, 8136, 9300, 8696, 9948])
18:06:57 INFO - Killing process: 4000
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\437379fd-b996-4a68-ae1a-4b0794fcd38b.dmp for [4000]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 INFO - Killing process: 7748
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\3fef97f7-6eb0-4e6b-a08b-f43e25a9ae9f.dmp for [7748]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 INFO - Killing process: 2120
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\a4a24447-03dd-451c-881c-2a3a900b2356.dmp for [2120]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 INFO - Killing process: 2608
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\3096fb4c-98d9-4ee0-8230-093072e94be1.dmp for [2608]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 WARNING - mozcrash kill_pid(): unable to get handle for pid 2608: 87
18:06:57 INFO - Killing process: 8136
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\bfa0c1af-f1cc-4eba-993e-8101db09ca65.dmp for [8136]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 WARNING - mozcrash kill_pid(): unable to terminate pid 8136: 5
18:06:57 INFO - Killing process: 9300
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\dc7bd2fa-3cd6-4d03-85bd-6638332cca81.dmp for [9300]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 WARNING - mozcrash kill_pid(): unable to get handle for pid 9300: 87
18:06:57 INFO - Killing process: 8696
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\88a15711-b00b-48ce-95d0-87bc5883a8a7.dmp for [8696]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 WARNING - mozcrash kill_pid(): unable to get handle for pid 8696: 87
18:06:57 INFO - Killing process: 9948
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\f960e813-58d6-45a9-b47f-b074177183eb.dmp for [9948]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 WARNING - mozcrash kill_pid(): unable to get handle for pid 9948: 87
18:06:57 INFO - psutil found pid 2120 dead
18:06:57 INFO - psutil found pid 9300 dead
18:06:57 INFO - psutil found pid 2608 dead
18:06:57 INFO - psutil found pid 9948 dead
18:06:57 INFO - psutil found pid 4000 dead
18:06:57 INFO - psutil found pid 8696 dead
18:06:57 INFO - psutil found pid 7748 dead
18:06:57 INFO - psutil found pid 8136 dead
18:06:57 INFO - Killing process: 9356
18:06:57 INFO - Not taking screenshot here: see the one that was previously logged
18:06:57 INFO - mozcrash Using C:\tasks\task_1551980731\build\tests\bin\minidumpwriter.exe to write a dump to c:\users\testdr~1\appdata\local\temp\tmpqhcqwz.mozrunner\minidumps\bef44ab9-1686-4ce4-8964-07877cb13870.dmp for [9356]
18:06:57 ERROR - mozcrash minidumpwriter not found in C:\tasks\task_1551980731\build\tests\bin
18:06:57 WARNING - mozcrash kill_pid(): unable to terminate pid 9356: 5
18:06:57 INFO - psutil found pid 9356 dead
18:06:57 INFO - TEST-INFO | Main app process: exit 1
18:06:57 INFO - Buffered messages finished
18:06:57 ERROR - TEST-UNEXPECTED-FAIL | devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js | application terminated with exit code 1

Component: Disability Access → Accessibility Tools
Product: Firefox → DevTools
Blocks: 1533487
No longer blocks: 1533487
Pushed by egao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/33f3f22ba0a7
disable devtools/client/accessibility/test/browser/browser_accessibility_context_menu_inspector.js r=jmaher
Status: NEW → RESOLVED
Closed: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 67
You need to log in before you can comment on or make changes to this bug.